## freeradius 2.1.0+dfsg

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id$
#

include Make.inc

.PHONY: all clean install

SUBDIRS		= $(LTDL_SUBDIRS) src raddb scripts doc
WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

.PHONY: tests
tests:
	@$(MAKE) -C src/tests tests

#
# The $(R) is a magic variable not defined anywhere in this source.
# It's purpose is to allow an admin to create an installation 'tar'
# file *without* actually installing it.  e.g.:
#
#  $ R=/home/root/tmp make install
#  $ cd /home/root/tmp
#  $ tar -cf ~/freeradius-package.tar *
#
# The 'tar' file can then be un-tar'd on any similar machine.  It's a
# cheap way of creating packages, without using a package manager.
# Many of the platform-specific packaging tools use the $(R) variable
# when creating their packages.
#
# For compatibility with typical GNU packages (e.g. as seen in libltdl),
# we make sure DESTDIR is defined.
#
export DESTDIR := $(R)
install:
	$(INSTALL) -d -m 755	$(R)$(sbindir)
	$(INSTALL) -d -m 755	$(R)$(bindir)
	$(INSTALL) -d -m 755	$(R)$(raddbdir)
	$(INSTALL) -d -m 755	$(R)$(mandir)
	$(INSTALL) -d -m 755	$(R)$(RUNDIR)
	$(INSTALL) -d -m 700	$(R)$(logdir)
	$(INSTALL) -d -m 700	$(R)$(radacctdir)
	$(INSTALL) -d -m 755	$(R)$(datadir)
	$(INSTALL) -d -m 755	$(R)$(dictdir)
	for i in 1 5 8; do \
		$(INSTALL) -d -m 755	$(R)$(mandir)/man$$i; \
		for p in man/man$$i/*.$$i; do \
			$(INSTALL) -m 644 $$p $(R)$(mandir)/man$$i; \
		done \
	done
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@echo "Installing dictionary files in $(R)$(dictdir)"; \
	cd share; \
	for i in dictionary*; do \
		$(INSTALL) -m 644 $$i $(R)$(dictdir); \
	done
	$(LIBTOOL) --finish $(R)$(libdir)

ifneq ($(RADMIN),)
ifneq ($(RGROUP),)
.PHONY: install-chown
install-chown:
	chown -R $(RADMIN)   $(R)$(raddbdir)
	chgrp -R $(RGROUP)   $(R)$(raddbdir)
	chmod u=rwx,g=rx,o=  `find $(R)$(raddbdir) -type d -print`
	chmod u=rw,g=r,o=    `find $(R)$(raddbdir) -type f -print`
	chown -R $(RADMIN)   $(R)$(logdir)
	chgrp -R $(RGROUP)   $(R)$(logdir)
	find $(R)$(logdir) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(logdir) -type d -exec chmod g+s {} \;
	find $(R)$(logdir) -type f -exec chmod u=rw,g=rw,o= {} \;
	chown -R $(RADMIN)   $(R)$(RUNDIR)
	chgrp -R $(RGROUP)   $(R)$(RUNDIR)
	find $(R)$(RUNDIR) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(RUNDIR) -type d -exec chmod g+s {} \;
	find $(R)$(RUNDIR) -type f -exec chmod u=rw,g=rw,o= {} \;
endif
endif

common:
	@for dir in $(SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		$(MAKE) $(MFLAGS) -C $$dir $(WHAT_TO_MAKE) || exit $$?; \
	done

distclean: clean
	rm -f config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool
	-find . ! -name configure.in -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.mak | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.h | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
reconfig: configure src/include/autoconf.h.in

configure: configure.in aclocal.m4
	$(AUTOCONF)

# autoheader might not change autoconf.h.in, so touch a stamp file
src/include/autoconf.h.in: src/include/stamp-h.in
src/include/stamp-h.in: configure.in
	$(AUTOHEADER)
	echo timestamp > src/include/stamp-h.in

src/include/autoconf.h: src/include/stamp-h
src/include/stamp-h: src/include/autoconf.h.in config.status
	./config.status

config.status: configure
	./config.status --recheck

configure.in:

.PHONY: check-includes
check-includes:
	scripts/min-includes.pl `find . -name "*.c" -print`

TAGS:
	etags `find src -type f -name '*.[ch]' -print`

#
#  Make test certificates.
#
.PHONY: certs
certs:
	@cd raddb/certs && $(MAKE)

######################################################################
#
#  Make a release.
#
#  Note that "Make.inc" has to be updated with the release number
#  BEFORE running this command!
#
######################################################################
freeradius-server-$(RADIUSD_VERSION).tar.gz: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION)/ master | gzip > $@

freeradius-server-$(RADIUSD_VERSION).tar.gz.sig: freeradius-server-$(RADIUSD_VERSION).tar.gz
	gpg --default-key aland@freeradius.org -b $<

freeradius-server-$(RADIUSD_VERSION).tar.bz2: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION)/ master | bzip2 > $@

freeradius-server-$(RADIUSD_VERSION).tar.bz2.sig: freeradius-server-$(RADIUSD_VERSION).tar.bz2
	gpg --default-key aland@freeradius.org -b $<

# high-level targets
.PHONY: dist-check
dist-check: redhat/freeradius.spec suse/freeradius.spec debian/changelog
	@if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION)" ]; then \
		echo redhat/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION)" ]; then \
		echo suse/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `head -n 1 debian/changelog | sed 's/.*(//;s/-0).*//;s/-1).*//;'`  != "$(RADIUSD_VERSION)" ]; then \
		echo debian/changelog needs to be updated; \
		exit 1; \
	fi

dist: dist-check freeradius-server-$(RADIUSD_VERSION).tar.gz freeradius-server-$(RADIUSD_VERSION).tar.bz2

dist-sign: freeradius-server-$(RADIUSD_VERSION).tar.gz.sig freeradius-server-$(RADIUSD_VERSION).tar.bz2.sig

dist-publish: freeradius-server-$(RADIUSD_VERSION).tar.gz.sig freeradius-server-$(RADIUSD_VERSION).tar.gz freeradius-server-$(RADIUSD_VERSION).tar.gz.sig freeradius-server-$(RADIUSD_VERSION).tar.bz2 freeradius-server-$(RADIUSD_VERSION).tar.gz.sig freeradius-server-$(RADIUSD_VERSION).tar.bz2.sig
	scp $^ freeradius.org@freeradius.org:public_ftp

#
#  Note that we do NOT do the tagging here!  We just print out what
#  to do!
#
dist-tag: freeradius-server-$(RADIUSD_VERSION).tar.gz freeradius-server-$(RADIUSD_VERSION).tar.bz2
	@echo "git tag release_`echo $(RADIUSD_VERSION) | tr .- __`"

#
#	Build a debian package
#
.PHONY: deb
deb:
	fakeroot dpkg-buildpackage -b -uc

=== raddb/Makefile ===
#
# Makefile
#
# Version:      $Id$
#

include ../Make.inc

#
#  The list of files to install.
#
FILES = acct_users attrs attrs.access_reject attrs.accounting_response	\
	attrs.pre-proxy clients.conf dictionary eap.conf templates.conf	\
	experimental.conf hints huntgroups ldap.attrmap otp.conf	\
	policy.txt preproxy_users proxy.conf radiusd.conf		\
	snmp.conf sql.conf sqlippool.conf users	policy.conf

#
#	This target is here for local debugging
#
all:
	@if [ ! -d sites-enabled ]; then \
		mkdir sites-enabled; \
	fi
	@if [ ! -f sites-enabled/default ]; then \
		cd sites-enabled && ln -s ../sites-available/default; \
	fi
	@if [ ! -f sites-enabled/inner-tunnel ]; then \
		cd sites-enabled && ln -s ../sites-available/inner-tunnel; \
	fi

install:
	$(INSTALL) -d -m 750	$(R)$(raddbdir)
	$(INSTALL) -d -m 750	$(R)$(raddbdir)/sites-available
	$(INSTALL) -d -m 750	$(R)$(raddbdir)/sites-enabled
	$(INSTALL) -d -m 750	$(R)$(raddbdir)/modules
	@echo "Creating/updating files in $(R)$(raddbdir)"; \
	for i in $(FILES) `find sites-available/ modules/ -type f -print | sed 's/.*CVS.*//;s/.*~//;s/.*#.*//' `; do \
		[ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 640 $$i $(R)$(raddbdir)/$$i; \
		if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
			echo "** $(R)$(raddbdir)/$$i"; \
			nt=1; \
		fi; \
	done; \
	if [ "$$nt" ]; then \
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "**";\
		echo "** The sample configuration files in `pwd`";\
		echo "** are newer than those in $(R)$(raddbdir)";\
		echo "**";\
		echo "** Please investigate and manually copy (if appropriate) the files listed above.";\
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
	fi
	chmod 640 $(R)$(raddbdir)/clients.conf
	if [ ! -d $(R)$(raddbdir)/certs ]; then \
		$(INSTALL) -d -m 750	$(R)$(raddbdir)/certs; \
		$(INSTALL) -m 750 certs/bootstrap $(R)$(raddbdir)/certs; \
		for i in Makefile README xpextensions ca.cnf server.cnf client.cnf; do \
			$(INSTALL) -m 640 certs/$$i $(R)$(raddbdir)/certs; \
		done; \
	fi
	if [ ! -d $(R)$(raddbdir)/sql ]; then \
		find sql -name CVS -prune -o -print | \
		  while read file; do \
		    if [ -d "$$file" ]; then \
		      $(INSTALL) -d -m 750 "$(R)$(raddbdir)/$$file"; \
		    else \
		      $(INSTALL) -m 640 "$$file" "$(R)$(raddbdir)/$$file"; \
		    fi; \
		  done; \
	fi
	if [ ! -f $(R)$(raddbdir)/sites-enabled/default ]; then \
		cd $(R)$(raddbdir)/sites-enabled/; \
		ln -s ../sites-available/default; \
	fi
	if [ ! -f $(R)$(raddbdir)/sites-enabled/inner-tunnel ]; then \
		cd $(R)$(raddbdir)/sites-enabled/; \
		ln -s ../sites-available/inner-tunnel; \
	fi

clean:
	rm -rf sites-enabled/inner-tunnel sites-enabled/default

=== src/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

include ../Make.inc

SUBDIRS		= include lib modules main
WHAT_TO_MAKE	= all

all: freeradius-devel
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f include/*~ *~

install:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

common:
	@for dir in $(SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		$(MAKE) $(MFLAGS) -C $$dir $(WHAT_TO_MAKE) || exit $$?; \
	done

freeradius-devel:
	ln -s include freeradius-devel

=== doc/rfc/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

include ../../Make.inc

RFC	= rfc2548.txt rfc2865.txt rfc2866.txt rfc2867.txt rfc2868.txt \
	  rfc2869.txt rfc3162.txt rfc3576.txt rfc3579.txt rfc3580.txt \
	  rfc4590.txt

all:

html: refs
	./rewrite.pl $(RFC)
	./per-rfc.pl $(RFC)
	@touch .rewrite

index.html: html
	./update.sh

refs: $(RFC)
	./genref.pl $(RFC) > refs
	@echo 'rfc2865 Class' >> refs
	@echo 'rfc2865 State' >> refs

clean:
	rm -f refs *rfc*.html *~ .rewrite index.html

install:
	$(INSTALL) -d -m 755 $(R)$(docdir)/rfc
	for file in `ls -1 *.txt *.html`; do \
		$(INSTALL) -m 644 $$file $(R)$(docdir)/rfc; \
	done

.PHONY: all clean install html

=== src/include/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

HEADERS	= hash.h libradius.h md4.h md5.h missing.h packet.h radius.h \
		radpaths.h sha1.h token.h udpfromto.h vqp.h ident.h 

include ../../Make.inc
.PHONY: all clean distclean install

all: radpaths.h

radpaths.h: build-radpaths-h
	@/bin/sh ./build-radpaths-h

distclean:
	rm -f radpaths.h

clean:

install:
	$(INSTALL) -d -m 755 $(R)$(includedir)/freeradius
	for i in $(HEADERS); do \
		sed 's/^#include <freeradius-devel/#include <freeradius/' $$i > .inst.$$$$ ; \
		$(INSTALL) -m 644 .inst.$$$$   $(R)$(includedir)/freeradius/$$i; \
		rm -f .inst.$$$$ ; \
	done

=== src/modules/rlm_eap/libeap/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

include ../../../../Make.inc

SRCS		= eapcommon.c eapcrypto.c eapsimlib.c fips186prf.c
ifneq ($(OPENSSL_LIBS),)
SRCS		+= cb.c eap_tls.c mppe_keys.c tls.c
endif
LT_OBJS		= $(SRCS:.c=.lo)
INCLUDES	= eap_types.h eap_tls.h
CFLAGS		+= -DEAPLIB -I. -I.. -I$(top_builddir)/src $(OPENSSL_INCLUDE)
ifeq ($(USE_SHARED_LIBS),yes)
LINK_MODE	= -export-dynamic
else
LINK_MODE	= -static
endif
TARGET		= $(LIBPREFIX)freeradius-eap

# Define new rule for libtool objects
%.lo: %.c
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c $<

all: $(TARGET).la

$(TARGET).la: $(LT_OBJS)
	$(LIBTOOL) --mode=link $(CC) -release $(RADIUSD_VERSION) \
	$(LDFLAGS) $(LINK_MODE) -o $@ -rpath $(libdir) $^ \
	$(LIBRADIUS) $(LIBS)

$(LT_OBJS): $(INCLUDES)

clean:
	rm -f *.o *.lo $(TARGET).la
	rm -rf .libs

install: all
	$(LIBTOOL) --mode=install $(INSTALL) -c $(TARGET).la \
		$(R)$(libdir)/$(TARGET).la
	rm -f $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la;
	ln -s $(TARGET).la $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la

## freeradius 2.1.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 .PHONY: all clean install
 
-SUBDIRS		= $(LTDL_SUBDIRS) src raddb scripts doc
+SUBDIRS		= $(LTDL_SUBDIRS) $(wildcard src raddb scripts doc)
 WHAT_TO_MAKE	= all
 
 all:
@@ -155,13 +155,13 @@
 #
 ######################################################################
 freeradius-server-$(RADIUSD_VERSION).tar.gz: .git
-	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION)/ master | gzip > $@
+	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION)/ v2.1.x | gzip > $@
 
 freeradius-server-$(RADIUSD_VERSION).tar.gz.sig: freeradius-server-$(RADIUSD_VERSION).tar.gz
 	gpg --default-key aland@freeradius.org -b $<
 
 freeradius-server-$(RADIUSD_VERSION).tar.bz2: .git
-	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION)/ master | bzip2 > $@
+	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION)/ v2.1.x | bzip2 > $@
 
 freeradius-server-$(RADIUSD_VERSION).tar.bz2.sig: freeradius-server-$(RADIUSD_VERSION).tar.bz2
 	gpg --default-key aland@freeradius.org -b $<
@@ -170,14 +170,18 @@
 .PHONY: dist-check
 dist-check: redhat/freeradius.spec suse/freeradius.spec debian/changelog
 	@if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION)" ]; then \
+		cat redhat/freeradius.spec | sed 's/^Version: .*/Version: $(RADIUSD_VERSION)/' > redhat/.foo; \
+		mv redhat/.foo redhat/freeradius.spec; \
 		echo redhat/freeradius.spec 'Version' needs to be updated; \
 		exit 1; \
 	fi
 	@if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION)" ]; then \
+		cat suse/freeradius.spec | sed 's/^Version: .*/Version: $(RADIUSD_VERSION)/' > suse/.foo; \
+		mv suse/.foo suse/freeradius.spec; \
 		echo suse/freeradius.spec 'Version' needs to be updated; \
 		exit 1; \
 	fi
-	@if [ `head -n 1 debian/changelog | sed 's/.*(//;s/-0).*//;s/-1).*//;'`  != "$(RADIUSD_VERSION)" ]; then \
+	@if [ `head -n 1 debian/changelog | sed 's/.*(//;s/\+.*).*//;s/-1).*//;'`  != "$(RADIUSD_VERSION)" ]; then \
 		echo debian/changelog needs to be updated; \
 		exit 1; \
 	fi
@@ -187,7 +191,8 @@
 dist-sign: freeradius-server-$(RADIUSD_VERSION).tar.gz.sig freeradius-server-$(RADIUSD_VERSION).tar.bz2.sig
 
 dist-publish: freeradius-server-$(RADIUSD_VERSION).tar.gz.sig freeradius-server-$(RADIUSD_VERSION).tar.gz freeradius-server-$(RADIUSD_VERSION).tar.gz.sig freeradius-server-$(RADIUSD_VERSION).tar.bz2 freeradius-server-$(RADIUSD_VERSION).tar.gz.sig freeradius-server-$(RADIUSD_VERSION).tar.bz2.sig
-	scp $^ freeradius.org@freeradius.org:public_ftp
+	scp $^ freeradius.org@ns5.freeradius.org:public_ftp
+	scp $^ freeradius.org@www.tr.freeradius.org:public_ftp
 
 #
 #  Note that we do NOT do the tagging here!  We just print out what

=== doc/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

include ../Make.inc

SUBDIRS		= examples 
WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

install:
	@if [ "$(docdir)" = no ]; then					\
		echo 'Documentation files will NOT be installed.';	\
	else								\
		$(INSTALL) -d -m 755 $(R)$(docdir);			\
		for file in *[!~]; do					\
			if [ -f $$file -a $$file != Makefile ]; then	\
				$(INSTALL) -m 644 $$file $(R)$(docdir);	\
			fi;						\
		done;							\
		$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common;		\
	fi

common: $(SUBDIRS)

$(SUBDIRS):
	@echo "Making $(WHAT_TO_MAKE) in $@..."
	@$(MAKE) $(MFLAGS) -C $@ $(WHAT_TO_MAKE)

.PHONY: all clean install common $(SUBDIRS)

=== scripts/Makefile ===
# $Id$

include ../Make.inc

all:

radwatch:
	$(INSTALL) -m 755 radwatch		$(R)$(sbindir)

install:
	$(INSTALL) -m 755 rc.radiusd		$(R)$(sbindir)
	$(INSTALL) -m 755 radsqlrelay		$(R)$(bindir)
	$(INSTALL) -m 755 radwatch		$(R)$(sbindir)
	$(INSTALL) -m 755 raddebug		$(R)$(sbindir)

clean:

=== src/include/Makefile ===
--- 
+++ 
@@ -4,8 +4,11 @@
 # Version:	$Id$
 #
 
-HEADERS	= hash.h libradius.h md4.h md5.h missing.h packet.h radius.h \
-		radpaths.h sha1.h token.h udpfromto.h vqp.h ident.h 
+HEADERS	= autoconf.h conf.h conffile.h detail.h dhcp.h event.h hash.h heap.h \
+	ident.h libradius.h md4.h md5.h missing.h modcall.h modules.h \
+	packet.h rad_assert.h radius.h radiusd.h radpaths.h \
+	radutmp.h realms.h sha1.h stats.h sysutmp.h token.h \
+	udpfromto.h vmps.h vqp.h
 
 include ../../Make.inc
 .PHONY: all clean distclean install

=== src/modules/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

include ../../Make.inc

WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

install:
	$(INSTALL) -d -m 755 $(R)$(libdir)
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~ lib/rlm_* lib/*.o lib/smbencrypt lib/radeapclient

distclean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

#
#  Do NOT use "common", because some modules may not be built,
#  and therefore their makefiles may be empty or non-existent.
#
reconfig:
	@[ "x$(AUTOCONF)" != "x" ] || exit 0
	@[ "x$(AUTOHEADER)" != "x" ] || exit 0
	@for x in `find . -name "configure.in" -print`; do \
		( \
		 cd `dirname $$x` || exit $$?; \
		 if [ -f configure.in ]; then \
			$(AUTOCONF) -I $(top_builddir); \
		 fi; \
		 if grep AC_CONFIG_HEADERS configure.in >/dev/null; then\
			$(AUTOHEADER); \
		 fi; \
		)  || exit $$?; \
	done

common:
	@[ -d lib/ ] || mkdir lib
	@[ -d lib/.libs ] || mkdir lib/.libs
	@for mod in $(MODULES); do \
		if [ -d $$mod ] && [ -f $$mod/Makefile ]; then \
			echo "Making $(WHAT_TO_MAKE) in $$mod..."; \
			$(MAKE) $(MFLAGS) -C $$mod $(WHAT_TO_MAKE) || exit $$?; \
		fi; \
	done

## freeradius 2.1.9+dfsg

=== src/modules/rlm_mschap/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_mschap
SRCS		= rlm_mschap.c smbdes.c opendir.c
HEADERS		=
RLM_CFLAGS	=
RLM_LDFLAGS	=
RLM_LIBS	=
RLM_UTILS   	= smbencrypt
RLM_INSTALL 	= smbencrypt-install

# over-ride the previous assignment if we're not building anything
include ../rules.mak

$(LT_OBJS): $(HEADERS)

smbencrypt: smbencrypt.lo smbdes.lo $(LIBRADIUS)
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) $(RLM_LDFLAGS) \
		-o $@ $^ $(RLM_LIBS) $(LIBS)

smbencrypt-install:
	$(INSTALL) -d -m 755 $(R)$(bindir)
	$(LIBTOOL) --mode=install $(INSTALL) -m 755 $(INSTALLSTRIP) \
		smbencrypt$(EXEEXT) $(R)$(bindir)

## freeradius 2.1.10+dfsg

=== Makefile ===
--- 
+++ 
@@ -88,11 +88,13 @@
 endif
 endif
 
-common:
-	@for dir in $(SUBDIRS); do \
-		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
-		$(MAKE) $(MFLAGS) -C $$dir $(WHAT_TO_MAKE) || exit $$?; \
-	done
+.PHONY: common $(SUBDIRS)
+
+common: $(SUBDIRS)
+
+$(SUBDIRS):
+	@echo "Making $(WHAT_TO_MAKE) in $@..."
+	@$(MAKE) $(MFLAGS) -C $@ $(WHAT_TO_MAKE)
 
 distclean: clean
 	rm -f config.cache config.log config.status libtool \
@@ -113,6 +115,7 @@
 #
 ######################################################################
 reconfig: configure src/include/autoconf.h.in
+	@$(MAKE) $(MFLAGS) -C src reconfig
 
 configure: configure.in aclocal.m4
 	$(AUTOCONF)

=== dialup_admin/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

include ../Make.inc

DIALUP_PREFIX := /usr/local/dialup_admin
DIALUP_DOCDIR := $(DIALUP_PREFIX)/doc
DIALUP_CONFDIR := $(DIALUP_PREFIX)/conf

all:

install:
	install -d -m 0755 $(R)/$(DIALUP_PREFIX)
	install -d -m 0755 $(R)/$(DIALUP_DOCDIR)
	install -d -m 0755 $(R)/$(DIALUP_CONFDIR)
	install -d -m 0755 $(R)/$(DIALUP_PREFIX)/bin
	find doc Changelog README -name CVS -prune -o -type f -print0 | \
	  xargs -0 install -m 0644 -t $(R)/$(DIALUP_DOCDIR)
	find conf -name CVS -prune -o -type f -print0 | \
	  xargs -0 install -m 0644 -t $(R)/$(DIALUP_CONFDIR)
	find htdocs html lib sql -name CVS -prune -o -print | \
	  while read file; do \
	    if [ -d "$$file" ]; then \
	      install -d -m 0755 "$(R)/$(DIALUP_PREFIX)/$$file"; \
	    else \
	      install -m 0644 "$$file" "$(R)/$(DIALUP_PREFIX)/$$file"; \
	    fi; \
	  done
	sed -e 's#/usr/local/dialup_admin#$(DIALUP_PREFIX)#' \
	    -e 's#/usr/local/radiusd#$(prefix)#' \
	    -e 's#general_raddb_dir: %{general_radiusd_base_dir}/etc/raddb#general_raddb_dir: $(raddbdir)#' \
	    -e 's#general_clients_conf: /usr/local/etc/raddb/clients.conf#general_clients_conf: $(raddbdir)/clients.conf#' \
	    -e 's#%{general_base_dir}/conf#$(DIALUP_CONFDIR)#' \
	    -e 's#/usr/local/bin#$(bindir)#' \
	    conf/admin.conf > $(R)/$(DIALUP_CONFDIR)/admin.conf
	sed -e 's#../../README#$(DIALUP_DOCDIR)/README#' \
	    htdocs/help/help.php3 > $(R)/$(DIALUP_PREFIX)/htdocs/help/help.php3
	for binfile in backup_radacct clean_radacct clearsession log_badlogins monthly_tot_stats showmodem snmpfinger sqlrelay_query tot_stats truncate_radacct; do \
	  sed -e 's#/usr/local/bin/#${bindir}#' \
	      -e 's#/usr/local/dialup_admin/conf/#$(DIALUP_CONFDIR)/#' \
	      bin/$$binfile > $(R)/$(DIALUP_PREFIX)/bin/$$binfile ; \
	  chmod 0755 $(R)/$(DIALUP_PREFIX)/bin/$$binfile; \
	done
	sed -e 's#/usr/local/dialup_admin#$(DIALUP_PREFIX)#' \
	    bin/dialup_admin.cron > $(R)/$(DIALUP_PREFIX)/bin/dialup_admin.cron

.PHONY: all install

=== src/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

include ../Make.inc

SUBDIRS		= include lib modules main
WHAT_TO_MAKE	= all

.PHONY: all clean install reconfig
all: freeradius-devel
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f include/*~ *~

install:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

reconfig:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

.PHONY: common $(SUBDIRS)

#
#  Ensure correct build order
lib: include

modules: lib

main: modules

common: $(SUBDIRS)

$(SUBDIRS): 
	@echo "Making $(WHAT_TO_MAKE) in $@..."
	$(MAKE) $(MFLAGS) -C $@ $(WHAT_TO_MAKE)

freeradius-devel:
	ln -s include freeradius-devel

=== src/include/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 include ../../Make.inc
 .PHONY: all clean distclean install
 
+.PHONY: all clean distclean install reconfig
 all: radpaths.h
 
 radpaths.h: build-radpaths-h
@@ -21,7 +22,7 @@
 distclean:
 	rm -f radpaths.h
 
-clean:
+reconfig clean:
 
 install:
 	$(INSTALL) -d -m 755 $(R)$(includedir)/freeradius

=== src/tests/Makefile ===
# -*- text -*-
##
## Makefile -- Build and run tests for the server.
##
##	http://www.freeradius.org/
##	$Id$
##
#
include ../../Make.inc

TESTS	= user_password chap mschapv1 digest-01/digest* test.example.com \
	wimax

PORT	 = 12340
ACCTPORT = $(shell expr $(PORT) + 1)

#	example.com stripped.example.com

EAPOL_TEST = eapol_test

EAP_TLS_TESTS = eap-ttls-pap.conf eap-ttls-mschapv2.conf peap-mschapv2.conf

SECRET	= testing123

.PHONY: all eap dictionary clean

#
#	Build the directory for testing the server
#
all: tests

clean:
	@rm -f ../../raddb/test.conf test.conf dictionary

dictionary:
	@echo "# test dictionary not install.  Delete at any time." > dictionary
	@echo '$$INCLUDE ' $(top_builddir)/share/dictionary >> dictionary
	@echo '$$INCLUDE ' $(top_builddir)/src/tests/dictionary.test >> dictionary

test.conf: dictionary
	@echo "# test configuration file.  Do not install.  Delete at any time." > test.conf
	@echo "libdir =" $(top_builddir)/src/modules/lib >> test.conf
	@echo "testdir =" $(top_builddir)/src/tests/ >> test.conf
	@echo 'dictionary = $${testdir}' >> test.conf
	@echo 'logdir = $${testdir}' >> test.conf
	@echo 'radacctdir = $${testdir}' >> test.conf
	@echo 'pidfile = $${testdir}/radiusd.pid' >> test.conf
	@echo '$$INCLUDE radiusd.conf' >> test.conf
	@echo '$$INCLUDE $${testdir}/config/' >> test.conf

radiusd.pid: ../../raddb/test.conf test.conf
	@../main/radiusd -txxl `pwd`/radius.log -md ../../raddb/ -n test -i 127.0.0.1 -p $(PORT)

# We can't make this depend on radiusd.pid, because then make will create
# radiusd.pid when we make radiusd.kill, which we don't want.
.PHONY: radiusd.kill
radiusd.kill:
	@if [ -f radiusd.pid ]; then \
		(kill -TERM `cat radiusd.pid` >/dev/null 2>&1) || exit 0; \
	fi
	@rm -f radiusd.pid

#  Link from the main database directory to here
../../raddb/test.conf: test.conf
	@[ -f ../../raddb/test.conf ] || ln -s ../src/tests/test.conf ../../raddb/

# kill the server (if it's running)
# start the server
# run the tests (ignoring any failures)
# kill the server
# remove the changes to raddb/
tests: ../../raddb/test.conf radiusd.kill
	@chmod a+x runtests.sh
	@rm -f radius.log
	@$(MAKE) radiusd.pid
	@./runtests.sh $(TESTS)
	@$(MAKE) radiusd.kill
	@rm -f ../../raddb/test.conf

eap: $(EAP_TLS_TESTS)
	$(EAPOL_TEST) -c eap-ttls-pap.conf -s $(SECRET) 
	$(EAPOL_TEST) -c peap-mschapv2.conf -s $(SECRET)
	$(EAPOL_TEST) -c eap-ttls-mschapv2.conf -s $(SECRET)

md5:
	$(EAPOL_TEST) -c eap-md5.conf -s $(SECRET) 

tls:
	$(EAPOL_TEST) -c eap-ttls-tls.conf -s $(SECRET)

ttls:
	$(EAPOL_TEST) -c eap-ttls-pap.conf -s $(SECRET)

peap:
	$(EAPOL_TEST) -c peap-mschapv2.conf -s $(SECRET)

leap:
	$(EAPOL_TEST) -c leap.conf -s $(SECRET)

=== src/modules/rlm_always/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_always
SRCS		= rlm_always.c

include ../rules.mak

=== src/modules/rlm_pap/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET      = rlm_pap
SRCS        = rlm_pap.c

include ../rules.mak

=== src/modules/rlm_preprocess/Makefile ===
TARGET	= rlm_preprocess
SRCS	= rlm_preprocess.c

include ../rules.mak

=== src/modules/rlm_eap/types/rlm_eap_md5/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET      = rlm_eap_md5
SRCS        = rlm_eap_md5.c eap_md5.c
HEADERS     = eap_md5.h
RLM_CFLAGS  = $(INCLTDL) -I../.. -I../../libeap
RLM_INSTALL =

RLM_DIR=../../
include ${RLM_DIR}../rules.mak

$(LT_OBJS): $(HEADERS)

=== src/modules/rlm_eap/types/rlm_eap_mschapv2/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET      = rlm_eap_mschapv2
SRCS        = rlm_eap_mschapv2.c
HEADERS     = eap_mschapv2.h
RLM_CFLAGS  = $(INCLTDL) -I../.. -I../../libeap
RLM_INSTALL =

RLM_DIR=../../
include ${RLM_DIR}../rules.mak

$(LT_OBJS): $(HEADERS)

=== src/modules/rlm_eap/types/rlm_eap_sim/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET      = rlm_eap_sim
SRCS        = rlm_eap_sim.c
HEADERS     =
RLM_CFLAGS  = $(INCLTDL) -I../.. -I../../libeap
RLM_LIBS    =  ../../libeap/$(LIBPREFIX)freeradius-eap.la
RLM_INSTALL =

RLM_DIR=../../
include ${RLM_DIR}../rules.mak

$(LT_OBJS): $(HEADERS)

## freeradius 2.1.12%2Bdfsg

=== debian/changelog ===
freeradius (2.1.12+dfsg-1.2ubuntu8) trusty; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in rlm_pap module
    - debian/patches/CVE-2013-2015.patch: properly handle buffer size in
      src/modules/rlm_pap/rlm_pap.c.
    - CVE-2014-2015

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 24 Feb 2014 09:13:43 -0500

freeradius (2.1.12+dfsg-1.2ubuntu7) trusty; urgency=medium

  * Patch auto tools files to build on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Dec 2013 21:40:21 +0100

freeradius (2.1.12+dfsg-1.2ubuntu6) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Oct 2013 11:47:40 +0100

freeradius (2.1.12+dfsg-1.2ubuntu5) saucy; urgency=low

  * d/test/test-freeradius.py: Update test setup for switch to
    upstart in 2.1.12+dfsg-1.2ubuntu3, fixing failing DEP-8 tests.

 -- James Page <james.page@ubuntu.com>  Fri, 30 Aug 2013 14:49:35 +0100

freeradius (2.1.12+dfsg-1.2ubuntu4) saucy; urgency=low

  * fix FTBFS:
    - add -lpthread to the libfreeradius.so build
    - add -lssl -lcrypto to the libeap.so build

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Jul 2013 15:35:08 +0200

freeradius (2.1.12+dfsg-1.2ubuntu3) saucy; urgency=low

  * add freeradius.upstart job (LP: #1187742)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Jul 2013 14:34:34 +0200

freeradius (2.1.12+dfsg-1.2ubuntu2) saucy; urgency=low

  * d/tests: added autopkgtests

 -- Yolanda Robla <yolanda.robla@canonical.com>  Fri, 24 May 2013 16:06:20 +0200

freeradius (2.1.12+dfsg-1.2ubuntu1) raring; urgency=low

  * Fix FTBFS with multiarched python.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 29 Dec 2012 00:54:44 +0200

freeradius (2.1.12+dfsg-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix expired passwords when using the unix module (CVE-2011-4966,
    Closes: #694407).

 -- Kees Cook <kees@debian.org>  Sun, 16 Dec 2012 12:44:35 -0800

freeradius (2.1.12+dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix pre-authentication buffer overflow in EAP handling
    (CVE-2012-3547; Closes: #687175, #687178).

 -- Nico Golde <nion@debian.org>  Tue, 11 Sep 2012 19:38:02 +0200

freeradius (2.1.12+dfsg-1) unstable; urgency=low

  * New upstream version, closes: #675698.
    + Fix for a segmentation fault in rlm_eap, closes: #645998.
  * Backport upstream commits to fix our bug reports:
    + Fix for a crash on SIGHUP in config file handling,
      378f2517357f11f9900c3799c6a469ee2fda7bdf
      ab73a3debf93492804e7af253ba45a7b017a18d1
      closes: #606450
    + Fix for a segmentation fault in radmin through environment variables,
      ce1bb741773b253c4ccf24accccf6305e202a322
      516dbaabf0ea80d0ff0643dc2ae9a10c4d31494c
      closes: #662194
  * Use dpkg-buildflags for configure, by Moritz Muehlenhoff, closes: #657838.
  * Mark rlm_jradius as stable to get it to build and ship, closes: #599067.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Polished packaging a wee bit and updated the Standards-Version.

 -- Josip Rodin <joy-packages@debian.org>  Fri, 29 Jun 2012 14:32:33 +0200

freeradius (2.1.10+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: libfreeradius-radius-2.1.10.so: could not read symbols:
    Invalid operation": adjust target dependencies in debian/rules: make sure
    the patch target is not only called for build but also for
    build-{arch,indep}. (Closes: #666311)

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 May 2012 16:58:57 +0200

freeradius (2.1.10+dfsg-3) unstable; urgency=low

  * Fixed the silly error that rendered previous attempts to use the
    right libtool functions useless, hopefully finally closes: #416266.
  * Link radeapclient with libradius to fix linking with binutils-gold,
    closes: #553387.
  * Fix the debug mode crashing when home server doesn't respond to
    a proxied request. Dmitry Borodaenko cherry-picked upstream commits
    540a0515de93d99ef45f97b9114185f159587b51 and
    ab972f1f9b724fc0b71e6ca726078c92ad26bc6b, thanks, closes: #609870.
  * Fixed udpfromto IPv6 breakage because of broken offsetof tests,
    backported upstream b4f0c7ed4dc9811d8dfa982540ed8cb721cc854a
    (one minor change necessary) as well as
    655f0786d60fe02440763df69b1aaf5110706690, as well as the simple
    IPV6_RECVPKTINFO change, hopefully it activates all the right
    modern IPv6 functions and closes: #606866.

 -- Josip Rodin <joy-packages@debian.org>  Thu, 05 May 2011 23:50:20 +0200

freeradius (2.1.10+dfsg-2) unstable; urgency=medium

  * The zombie period start time variable mistakenly got set to a random
    value because of an upstream typo. Cherry-picked upstream commit
    7b7dff7724721f8af5fd163f2292d427a869992d into a Debian patch,
    requested for squeeze in #600465.
  * Since 2.1.9, the daemon stopped reopening the default radius.log file
    constantly, which means the default logrotate setup breaks the default
    logging. D'oh. We now have to send SIGHUP to the daemon as a postrotate
    action, which makes it reopen log files and continue normally.
    * Added delaycompress to the logrotate options, just to be on the safe
      side.
    * Added a reload action into the init script accordingly, so that the
      right pidfile is picked up (one that can be overridden by the admin
      in /etc/default/freeradius, available since the last release).
    * Called reload from the postrotate section, closes: #602815.
    * However, the latter signal also makes the server re-read configuration
      files, but unlike the initial server start, this all happens under
      the unprivileged user. That in turn means that if by any chance there
      is any part of FR configuration that happens not to be readable by
      group freerad (or whatever non-default is configured), the reload
      will fail, effectively silently, as the log has been moved away. Gah.


=== debian/control ===
Source: freeradius
Build-Depends: debhelper (>= 7.0.50~),
 dpkg-dev (>= 1.13.19),
 dh-autoreconf,
 autotools-dev,
 libtool (>= 2.2),
 libltdl-dev (>= 2.2),
 libssl-dev,
 libpam0g-dev,
 libmysqlclient-dev,
 libgdbm-dev,
 libldap2-dev,
 libsasl2-dev,
 libiodbc2-dev,
 libkrb5-dev,
 libperl-dev,
 libpcap-dev,
 python-dev,
 libsnmp-dev,
 libpq-dev
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josip Rodin <joy-packages@debian.org>
Uploaders: Stephen Gran <sgran@debian.org>, Mark Hymers <mhy@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.freeradius.org/
XS-Testsuite: autopkgtest

Package: freeradius
Architecture: any
Depends: lsb-base (>= 3.1-23.2), ${shlibs:Depends}, ${misc:Depends}, freeradius-common, libfreeradius2 (= ${binary:Version}), ssl-cert, ca-certificates, adduser
Provides: radius-server
Recommends: freeradius-utils
Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5
Description: high-performance and highly configurable RADIUS server
 FreeRADIUS is a high-performance RADIUS server with support for:
  - many vendor-specific attributes
  - proxying and replicating requests by any criteria
  - authentication on system passwd, SQL, Kerberos, LDAP, users file, or PAM
  - multiple DEFAULT configurations
  - regexp matching in string attributes
 and lots more.

Package: freeradius-common
Depends: ${misc:Depends}, adduser
Architecture: all
Conflicts: radiusd-livingston, xtradius, yardradius
Replaces: freeradius (<< 2.0)
Description: FreeRADIUS common files
 This package contains common files used by several of the other packages from
 the FreeRADIUS project.

Package: freeradius-utils
Architecture: any
Replaces: freeradius (<< 2.0)
Conflicts: radiusd-livingston, yardradius
Depends: ${shlibs:Depends}, ${misc:Depends}, freeradius-common, libfreeradius2 (= ${binary:Version})
Recommends: libdbi-perl
Description: FreeRADIUS client utilities
 This package contains various client programs and utilities from
 the FreeRADIUS Server project, including:
  - radclient
  - radeapclient
  - radlast
  - radsniff
  - radsqlrelay
  - radtest
  - radwho
  - radzap
  - rlm_dbm_cat
  - rlm_dbm_parser
  - rlm_ippool_tool
  - smbencrypt

Package: libfreeradius2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeRADIUS shared library
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.

Package: libfreeradius-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreeradius2 (= ${binary:Version})
Description: FreeRADIUS shared library development files
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.
 .
 This package contains the development headers and static library version.

Package: freeradius-krb5
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: freeradius-iodbc
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: iODBC module for FreeRADIUS server
 The FreeRADIUS server can use iODBC to access databases to authenticate users
 and do accounting, and this module is necessary for that.

Package: freeradius-dialupadmin
Architecture: all
Depends: php5 | libapache2-mod-php5 | php5-cgi, apache2-mpm-prefork | httpd, ${perl:Depends}, ${misc:Depends}
Suggests: php5-mysql | php5-pgsql, php5-ldap, libdate-manip-perl
Description: set of PHP scripts for administering a FreeRADIUS server
 These scripts provide a web-based interface for administering a FreeRADIUS
 server which stores authentication information in either SQL or LDAP.

Package: freeradius-dbg
Architecture: any
Section: debug
Priority: extra
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debug symbols for the FreeRADIUS packages
 FreeRADIUS is a modular, high performance and feature-rich RADIUS server.
 This package contains the detached debugging symbols for the Debian FreeRADIUS
 packages.

=== debian/tests/control ===
Tests: freeradius daemon clients
Depends: freeradius, freeradius-utils, python-unit, lsb-release
Restrictions: needs-root
